class Node:
    def __init__(self, data, parent, position):
        self.data = data
        self.parent = parent
        self.position = position
class Tree:
    def __init__(self, liste):
        self.racine = liste[0].data
        self.noeud = liste[1:]

A = Node("A" , None , None)
B = Node("B" , "A" , "Gauche")
C = Node("C" , "A" , "Droit")
D = Node("D" , "B" , "Gauche")
E = Node("E" , "B" , "Droit")
F = Node("F" , "C" , "Droit")
G = Node("G" , "E" , "Gauche")
H = Node("H" , "E" , "Droit")
I = Node("I" , "F" , "Gauche")

arbre = Tree([A,B,C,D,E,F,G,H,I])

print(arbre.noeud[2].data,
        "est le fils",
        arbre.noeud[2].position,
        "de", arbre.noeud[2].parent)